| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions | Static Protected Attributes

# IG::Lib::ModuleTest Class Reference

Inheritance diagram for IG::Lib::ModuleTest:
[legend]
Collaboration diagram for IG::Lib::ModuleTest:
[legend]

List of all members.

## Static Public Member Functions
static Module | Get ()
| Initializes global application data for the current class of application.
## Protected Member Functions
| ModuleTest ()
| ModuleTest (string name, int version, int subversion)
override void | BeforeInitialization ()
| Pre-initialization stage.
override void | AfterInitialization ()
| A method called after any s initializations in constructors. Override this method in derived classes in order to achieve different behavior.
## Static Protected Attributes
static new object | _lock = new Object()
static ModuleTest | _moduleTest = null

## Constructor & Destructor Documentation

IG::Lib::ModuleTest::ModuleTest | ( |  | ) | `[inline, protected]`

IG::Lib::ModuleTest::ModuleTest | ( | string | name,
|  | int | version,
|  | int | subversion
| ) |  | `[inline, protected]`

## Member Function Documentation

override void IG::Lib::ModuleTest::BeforeInitialization | ( |  | ) | `[inline, protected, virtual]`

Pre-initialization stage.

Reimplemented from IG::Lib::Module.

override void IG::Lib::ModuleTest::AfterInitialization | ( |  | ) | `[inline, protected, virtual]`

A method called after any s initializations in constructors. Override this method in derived classes in order to achieve different behavior.

Reimplemented from IG::Lib::ModuleBase.

static Module IG::Lib::ModuleTest::Get | ( |  | ) | `[inline, static]`

Initializes global application data for the current class of application.

## Member Data Documentation

new object IG::Lib::ModuleTest::_lock = new Object()`[static, protected]`

Reimplemented from IG::Lib::ModuleBase.

ModuleTest IG::Lib::ModuleTest::_moduleTest = null`[static, protected]`

The documentation for this class was generated from the following file:

- App.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events